from math import gcd

def find_path(target_x, target_y):
    div = gcd(target_x, target_y)
    target_x //= div
    target_y //= div

    x1, y1 = 0, 1 
    x2, y2 = 1, 0
    path = "R"

    while True:
        curr_x = x1 + x2
        curr_y = y1 + y2

        if curr_x == target_x and curr_y == target_y:
            break
            
        elif target_x * curr_y < target_y * curr_x:
            path += 'L'
            x2, y2 = curr_x, curr_y
        else:
            path += 'R'
            x1, y1 = curr_x, curr_y

    return path

x, y = map(int, input().split())
result = find_path(x, y)
print(result)