def is_valid_dice(numbers):
    for i in range(6):
        for j in range(i + 1, 6):
            target_sum = numbers[i] + numbers[j]
            used = [False] * 6
            used[i] = used[j] = True
            
            valid = True
            remaining = []
            for k in range(6):
                if not used[k]:
                    remaining.append(k)
            
            if len(remaining) == 4:
                if (numbers[remaining[0]] + numbers[remaining[1]] == target_sum and 
                    numbers[remaining[2]] + numbers[remaining[3]] == target_sum):
                    return True
                if (numbers[remaining[0]] + numbers[remaining[2]] == target_sum and 
                    numbers[remaining[1]] + numbers[remaining[3]] == target_sum):
                    return True
                if (numbers[remaining[0]] + numbers[remaining[3]] == target_sum and 
                    numbers[remaining[1]] + numbers[remaining[2]] == target_sum):
                    return True
    
    return False

def main():
    n = int(input())
    
    results = []
    for _ in range(n):
        numbers = list(map(int, input().split()))
        
        result = is_valid_dice(numbers)
        
        results.append("yes" if result else "no")
    
    print("\n".join(results))

if __name__ == "__main__":
    main()