def gcd(x, y):
    while y:
        x, y = y, x % y
    return x

def f(a, b):
    if gcd(a, b) != 1:
        a, b = a // gcd(a, b), b // gcd(a, b)
        
    path = "R"
    l = (0, 1)
    r = (1, 0)
    m = (1, 1)
    
    while m != (a, b):
        if a * m[1] < b * m[0]:
            path += "L"
            r = m
        else:
            path += "R"
            l = m
        m = (l[0] + r[0], l[1] + r[1])
        
        if len(path) > 30 or m[0] > max(a, 100) or m[1] > max(b, 100):
            return "no"
            
    return path

def main():
    a, b = map(int, input().split())
    print(f(a, b))

if __name__ == "__main__":
    main()
